Package ghidra.program.database.properties

# Class VoidPropertyMapDB

java.lang.Object
ghidra.program.database.DatabaseObject
ghidra.program.database.properties.PropertyMapDB<Boolean>
ghidra.program.database.properties.VoidPropertyMapDB

All Implemented Interfaces:
  `PropertyMap<Boolean>`, `VoidPropertyMap`

public class VoidPropertyMapDB extends PropertyMapDB<Boolean> implements VoidPropertyMap
Property manager that deals with properties that are of "void" type, which is a marker for whether a property exists. Records contain only a address key are stored within the underlying database table. Object values returned are either `Boolean.TRUE` or null.

- ## Field Summary

  ### Fields inherited from class ghidra.program.database.properties.PropertyMapDB

  `addrMap, cache, changeMgr, dbHandle, DEFAULT_CACHE_SIZE, errHandler, lock, name, NO_SCHEMA_FIELD_NAMES, NO_SCHEMA_FIELDS, PROPERTY_VALUE_COL, propertyTable, schema, SCHEMA_FIELD_NAMES`

  ### Fields inherited from class ghidra.program.database.DatabaseObject

  `key`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoidPropertyMapDB(DBHandle dbHandle, OpenMode openMode, ErrorHandler errHandler, ChangeManager changeMgr, AddressMap addrMap, String name, TaskMonitor monitor)`
  Construct an void object property map.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(Address addr)`
  Mark the specified address as having a property
  `Boolean`
  `get(Address addr)`
  Returns the property value stored at the specified address or null if no property found.

  ### Methods inherited from class ghidra.program.database.properties.PropertyMapDB

  `createTable, delete, getAddressKeyIterator, getAddressKeyIterator, getAddressKeyIterator, getFirstPropertyAddress, getLastPropertyAddress, getName, getNextPropertyAddress, getPreviousPropertyAddress, getPropertyIterator, getPropertyIterator, getPropertyIterator, getPropertyIterator, getPropertyIterator, getPropertyIterator, getSize, getTableName, getTableName, hasProperty, intersects, intersects, invalidate, moveRange, refresh, remove, removeRange, setCacheSize, validate`

  ### Methods inherited from class ghidra.program.database.DatabaseObject

  `checkDeleted, checkIsValid, checkIsValid, getKey, isDeleted, isInvalid, keyChanged, refresh, setDeleted, setInvalid`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.program.model.util.PropertyMap

  `getFirstPropertyAddress, getLastPropertyAddress, getName, getNextPropertyAddress, getPreviousPropertyAddress, getPropertyIterator, getPropertyIterator, getPropertyIterator, getPropertyIterator, getPropertyIterator, getPropertyIterator, getSize, hasProperty, intersects, intersects, moveRange, remove, removeRange`

  ### Methods inherited from interface ghidra.program.model.util.VoidPropertyMap

  `add, getValueClass`

- ## Constructor Details

  - ### VoidPropertyMapDB

    public VoidPropertyMapDB(DBHandle dbHandle, OpenMode openMode, ErrorHandler errHandler, ChangeManager changeMgr, AddressMap addrMap, String name, TaskMonitor monitor) throws VersionException, CancelledException, IOException
    Construct an void object property map.
    Parameters:
      `dbHandle` - database handle.
      `openMode` - the mode that the program was openned in or null if instantiated during cache invalidate. Used to detect versioning error only.
      `errHandler` - database error handler.
      `changeMgr` - change manager for event notification
      `addrMap` - address map.
      `name` - property name.
      `monitor` - progress monitor that is only used when upgrading
    Throws:
      `VersionException` - if the database version is not the expected version.
      `CancelledException` - if the user cancels the upgrade operation.
      `IOException` - if a database io error occurs.

- ## Method Details

  - ### add

    public void add(Address addr)
    Description copied from interface: `VoidPropertyMap`
    Mark the specified address as having a property
    Specified by:
      `add` in interface `VoidPropertyMap`
    Parameters:
      `addr` - address for the property

  - ### get

    public Boolean get(Address addr)
    Description copied from interface: `PropertyMap`
    Returns the property value stored at the specified address or null if no property found.
    Specified by:
      `get` in interface `PropertyMap<Boolean>`
    Parameters:
      `addr` - property address
    Returns:
      property value